Update a 10DLC campaign in draft status. Cannot update after submission.
curl --request PATCH \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
]
}
'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
10DLC campaign ID.
10040961 - 5 elements102420485005050Campaign updated.
Show child attributes
curl --request PATCH \
--url https://api.zavu.dev/v1/10dlc/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
]
}
'{
"campaign": {
"id": "<string>",
"brandId": "<string>",
"name": "Order Notifications",
"useCase": "ACCOUNT_NOTIFICATION",
"description": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberOptIn": true,
"subscriberOptOut": true,
"subscriberHelp": true,
"numberPooling": true,
"directLending": true,
"embeddedLink": true,
"embeddedPhone": true,
"affiliateMarketing": true,
"ageGated": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subUseCases": [
"<string>"
],
"messageFlow": "<string>",
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optOutKeywords": [
"<string>"
],
"dailyLimit": 123,
"failureReason": "<string>",
"registrationCostCents": 123,
"monthlyFeeCents": 123,
"submittedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z"
}
}